#include<iostream>
using namespace std;
long long N,M,a[10000000],p1,p2,suma=0,poz,neg;
int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	cin>>N>>M;
	for(int i=1;i<=N;i++){
		cin>>a[i];
	}
	for(int i=0;i<M;i++){
		cin>>p1>>p2;
		poz=suma + a[p1] + a[p2];
		neg=suma + a[p1]*(-1) + a[p2]*(-1);
		if(poz>=neg)suma=poz;
		else suma=neg;
	}
	cout<<suma;	
}